> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.apologist.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.apologist.ai/_mcp/server.

# Get Conversation

GET https://your-agent-domain.com/api/v1/conversations/{id}

Returns a single conversation by internal UUID or team-scoped external id.

Reference: https://docs.apologist.ai/agent-api/api-reference/conversations/get-conversation

## Authentication

- `x-api-key` header (required) — API key for authentication
- `Authorization` header (bearer token, required) — Bearer token authentication

## Request

### Path parameters

- `id` (string, required) — The conversation UUID or team-scoped external id

## Response

### 200

The conversation

- `data` (object, optional) — A conversation scoped to the requesting agent.
  - `id` (string, optional) — Internal conversation id (UUID).
  - `external_id` (string, optional, nullable) — Team-scoped external conversation id.
  - `agent_id` (integer, optional)
  - `team_id` (integer, optional)
  - `tags` (map from string to any, optional, nullable)
  - `started_at` (string, optional)
  - `ended_at` (string, optional, nullable)
  - `agent_paused` (boolean, optional)
  - `agent_paused_at` (string, optional, nullable)
  - `agent_resumed_at` (string, optional, nullable)

## Errors

### 403 Forbidden Error

Forbidden - Invalid or missing API key

- `any`

### 404 Not Found Error

Conversation not found

- `any`

### 500 Internal Server Error

Internal Server Error

- `any`

## Examples

**Response**

```json
{
  "data": {
    "id": "string",
    "external_id": "string",
    "agent_id": 1,
    "team_id": 1,
    "tags": {},
    "started_at": "string",
    "ended_at": "string",
    "agent_paused": true,
    "agent_paused_at": "string",
    "agent_resumed_at": "string"
  }
}
```

**SDK Code**

```typescript
import { ApologistAgentClient } from "apologist";

async function main() {
    const client = new ApologistAgentClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.conversations.getConversation({
        id: "id",
    });
}
main();

```

```python
from apologist import ApologistAgentClient

client = ApologistAgentClient(
    api_key="YOUR_API_KEY_HERE",
)

client.conversations.get_conversation(
    id="id",
)

```

```java
package com.example.usage;

import ai.apologist.AgentClient;
import ai.apologist.resources.conversations.requests.GetConversationRequest;

public class Example {
    public static void main(String[] args) {
        AgentClient client = AgentClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.conversations().getConversation(
            "id",
            GetConversationRequest
                .builder()
                .build()
        );
    }
}
```

```ruby
require "apologist"

client = Apologist::AgentClient.new(api_key: "YOUR_API_KEY_HERE")

client.conversations.get_conversation(id: "id")

```

```csharp
using Apologist;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new AgentClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Conversations.GetConversationAsync(
            new GetConversationRequest {
                Id = "id"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    apgsdkgo "github.com/apologist-project/apg-sdk-go"
    client "github.com/apologist-project/apg-sdk-go/client"
    option "github.com/apologist-project/apg-sdk-go/option"
)

func do() {
    client := client.NewApologistAgentClient(
        option.WithAPIKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &apgsdkgo.GetConversationRequest{
        ID: "id",
    }
    client.Conversations.GetConversation(
        context.TODO(),
        request,
    )
}

```

```php
<?php

namespace Example;

use Apologist\AgentClient;

$client = new AgentClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->conversations->getConversation(
    'id',
);

```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://your-agent-domain.com/api/v1/conversations/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```